# Enum ColumnInfoTypeName

java.lang.Object
java.lang.Enum<ColumnInfoTypeName>
com.databricks.jdbc.model.core.ColumnInfoTypeName

All Implemented Interfaces:
  `Serializable`, `Comparable<ColumnInfoTypeName>`, `java.lang.constant.Constable`

public enum ColumnInfoTypeName extends Enum<ColumnInfoTypeName>
Column info type name POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
`BINARY`
`BOOLEAN`
`BYTE`
`CHAR`
`DATE`
`DECIMAL`
`DOUBLE`
`FLOAT`
`GEOGRAPHY`
`GEOMETRY`
`INT`
`INTERVAL`
`LONG`
`MAP`
`NULL`
`SHORT`
`STRING`
`STRUCT`
`TIMESTAMP`
`USER_DEFINED_TYPE`

## Method Summary

Modifier and Type
Method
Description
`static ColumnInfoTypeName`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ColumnInfoTypeName[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARRAY

public static final ColumnInfoTypeName ARRAY

### BINARY

public static final ColumnInfoTypeName BINARY

### BOOLEAN

public static final ColumnInfoTypeName BOOLEAN

### BYTE

public static final ColumnInfoTypeName BYTE

### CHAR

public static final ColumnInfoTypeName CHAR

### DATE

public static final ColumnInfoTypeName DATE

### DECIMAL

public static final ColumnInfoTypeName DECIMAL

### DOUBLE

public static final ColumnInfoTypeName DOUBLE

### FLOAT

public static final ColumnInfoTypeName FLOAT

### GEOGRAPHY

public static final ColumnInfoTypeName GEOGRAPHY

### GEOMETRY

public static final ColumnInfoTypeName GEOMETRY

### INT

public static final ColumnInfoTypeName INT

### INTERVAL

public static final ColumnInfoTypeName INTERVAL

### LONG

public static final ColumnInfoTypeName LONG

### MAP

public static final ColumnInfoTypeName MAP

### NULL

public static final ColumnInfoTypeName NULL

### SHORT

public static final ColumnInfoTypeName SHORT

### STRING

public static final ColumnInfoTypeName STRING

### STRUCT

public static final ColumnInfoTypeName STRUCT

### TIMESTAMP

public static final ColumnInfoTypeName TIMESTAMP

### USER_DEFINED_TYPE

public static final ColumnInfoTypeName USER_DEFINED_TYPE

## Method Details

### values

public static ColumnInfoTypeName[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ColumnInfoTypeName valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null